# Comments: get

Retrieves one comment resource by its commentId.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/comments/get#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/comments/get#examples).

[Authorization](https://developers.google.com/blogger/docs/3.0/using#auth) is required if the comment is on a blog that is private. If the comment is on a blog that is public, then this method can be called without authorization.

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/blogs/blogId/posts/postId/comments/commentId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The ID of the blog to containing the comment. |
| `commentId` | `string` | The ID of the comment to get. |
| `postId` | `string` | The ID of the post to fetch the comment from. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Comments resource](https://developers.google.com/blogger/docs/3.0/reference/comments#resource) in the response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
// The BlogId for the http://buzz.blogger.com/ blog.
String BUZZ_BLOG_ID = "2399953";

// The PostId for a buzz post with comments.
String BUZZ_POST_ID = "5310628572012276714";

// The CommentId for a comment on the above post.
String BUZZ_COMMENT_ID = "6352433676268819946";

// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.
Blogger blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)
	.setApplicationName("Blogger-CommentsGet-Snippet/1.0")
	.setHttpRequestInitializer(credential).build();

// The request action.
Get commentsGetAction = blogger.comments().get(BUZZ_BLOG_ID,
	BUZZ_POST_ID, BUZZ_COMMENT_ID);

// Restrict the result content to just the data we need.
commentsGetAction.setFields("author/displayName,content");

// This step sends the request to the server.
Comment comment = commentsGetAction.execute();

// Now we can navigate the response.
System.out.println("Display Name: " + comment.getAuthor().getDisplayName());
System.out.println("Content: " + comment.getContent());
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.